Subject: util-linux progress report

From: "Frank Neumann" <[email-masked]>
Date: Thu, 20 Jun 1996 00:05:44 +0200 (MET DST)

Hi,
Michael Schmitz asked me about my progress with util-linux, so I thought 
I'd better tell you all what is still missing for m68k - 

Some of the programs should IMHO be completely left out of the
m68k version because they don't make sense at all, they're not going
to ever work for us etc. Some of them are not included in the .deb
archives anyway, but './debian.rules binary' tries to build them,
so modifications to the Makefiles are required:

- sys-utils/
            cytune (we have no cyclades board, dump it)
            lpcntl (we have no way to set IRQs for parallel ports, do we?)
            rdev (also: ramsize.8, rootflags.8, swapdev.8, vidmode.8)
              (we have no way to put such information into the kernel
               image, do we?)
            
- disk-utils/
            cfdisk
            fdisk
(both of these heavily depend on the structure of partitioning information
on the harddisk, and using this e.g. on an Amiga will ruin your data
pretty quickly). I think Joerg Dorchain once started an fdisk for Amiga,
but I guess right now the safest way to partition a harddisk is to use
the native tools (HDToolBox for the Amiga, <..??..> for the Atari).

The following programs need modifications to work.

- disk-utils/
            fsck.minix 
            mkfs.minix

These are patched with Andreas' old patches, including V2 support. 
Problem here: The superblock structures etc. in include/linux/minix*
differ in some places between 1.2.13pl10 and pre-2.0.14 kernel versions.
What should we do? My suggestion is: Modify 1.2.13pl10's include files
to be 'up to date'. This will be easier than convincing Linus to modify
his 2.0 tree. :-)  This also requires updating the patch a little here
and there, I did so this evening (needs testing, though).

I also noticed that the difference in the superblock structure might
affect people with older Minix filesystems (maybe Atari users with
Mint?). The last 3 or 4 members of the structures are in different places,
so 'old' filesystems might not work with new kernels (sounds familiar, he? :)

         setfdprm  

This needs a few ioctl()s on floppy devices:
 FDGETPRM
 FDSETPRM
 FDCLRPRM
 FDDEFPRM
 FDMSGON
 FDMSGOFF
 [FDMEDCNG]
 
Those are already present in the Atari floppy driver, but the
Amiga driver needs FDCLRPRM, FDMSGON and FDMSGOFF. Shouldn't
be too hard.

       fdformat (I still need to check whether the FILLBYTE that Juergen
                suggested to me works ok for Amiga, too).

- sys-utils/
           clock (got the patch, but need to check if the patched version
                 still works ok on x86)

           kbdrate (see clock)

           setserial (gave a few warnings during compilation.. not sure)

           sync (got a patch, done)

           tunelp 
needs a few ioctl()s:

  LPGETSTATUS
  LPABORTOPEN
  LPCAREFUL
  LPRESET

Currently those ioctl()s are already in the kernel, but the code is
PC-specific (outb() and such stuff *shudder*), so trying to actually use 
them might crash your machine.

Apart from this, I think it's time to start thinking about what extra
packages we need exclusively for m68k. My idea is: Name that package
'debian68k-utils', and put (at least) these programs into it:

setSCCserial
atafdformat (if required..?)
fbset
amiga/atari-lilo (?)

Generally, I'd like to raise the question whether packages should be
compiled with pre-2.0.14 includes or 1.2.13pl10 includes. The PC
Debian folks stated that Debian 1.1 will not support 1.2 kernels anymore.
That's fine for them, but I'm not sure whether our 2.0 is already stable
enough to permit doing the same for m68k.

Suggestions, additions, comments?

Frank